Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLogLookupTable Class Reference

`#include <vtkLogLookupTable.h>`

Inheritance diagram for vtkLogLookupTable:

[legend]
Collaboration diagram for vtkLogLookupTable:

[legend]
List of all members.

## Detailed Description

map scalars into colors using log (base 10) scale

Date:
  2002/01/22 15:25:35

Revision:
  1.35

This class is an empty shell. Use vtkLookupTable with SetScaleToLog10() instead.

See also:
  vtkLookupTable

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Gobbi, David (47%)
  - Schroeder, Will (37%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkLogLookupTable.h)`
  - .`cxx` (`/Common/vtkLogLookupTable.cxx)`

Tests:
  vtkLogLookupTable (Tests)

Definition at line 48 of file vtkLogLookupTable.h.

## Public Types
typedef vtkLookupTable | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkLogLookupTable * | New ()
int | IsTypeOf (const char *type)
vtkLogLookupTable * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkLogLookupTable (int sze=256, int ext=256)
| ~vtkLogLookupTable ()

## Member Typedef Documentation

typedef vtkLookupTable vtkLogLookupTable::Superclass

| Reimplemented from vtkLookupTable. Definition at line 53 of file vtkLogLookupTable.h.

## Constructor & Destructor Documentation

vtkLogLookupTable::vtkLogLookupTable | ( | int | sze = 256,
|  | int | ext = 256
| ) | `[protected]`

vtkLogLookupTable::~vtkLogLookupTable | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkLogLookupTable.h.

## Member Function Documentation

vtkLogLookupTable* vtkLogLookupTable::New | ( |  | ) | `[static]`

| Construct with range=[0,1]; and hsv ranges set up for rainbow color table (from red to blue). Reimplemented from vtkLookupTable.

virtual const char* vtkLogLookupTable::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLookupTable.

int vtkLogLookupTable::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLookupTable.

virtual int vtkLogLookupTable::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLookupTable.

vtkLogLookupTable* vtkLogLookupTable::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLookupTable.

void vtkLogLookupTable::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLookupTable.

The documentation for this class was generated from the following file:

- Common/vtkLogLookupTable.h